%undefine __libtoolize
%define cvs 0
%define qtdir /usr/lib/qt3
%define kdedir %prefix
%define unstable 0
%define objprelink 0
%define beta %nil


Name: koffice
Version: 1.2.1
Release: alt3
Serial: 4

Group: Office
Summary: Set of office applications for KDE
URL: http://www.kde.org/
License: GPL

Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %__gcc_version_base
Obsoletes: kontour, kivio, koffice-kivio

Source: koffice-%version%beta.tar.bz2
Source1: koshell.png

Patch1: koffice-1.2.1-fix-kotemplatechoosedia.patch
#
Patch50: koffice-pythondb.patch
Patch51: koffice-1.2-detect_autoconf.patch

# Automatically added by buildreq on Tue Feb 19 2002
#BuildRequires: XFree86-devel XFree86-libs XFree86-static-libs freetype2 gcc-c++ kde-common kde-i18n-ru kdebase kdelibs-devel libarts-devel libjpeg-devel liblcms libmng libpng-devel libqt2-devel-static libstdc++-devel libtiff-devel libxml2 libxslt python-devel tcl xml-utils zlib-devel
BuildRequires: kdelibs-devel libarts-devel libjpeg-devel liblcms libmng libpng-devel
BuildRequires: libqt3-devel libstdc++-devel libtiff-devel libxml2 libxslt
BuildRequires: python-devel tcl XFree86-devel XFree86-libs xml-utils zlib-devel
BuildRequires: libart_lgpl-devel liblcms-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Office applications for the K Desktop Environment.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator
   * Kontour
   * Kugar
   * Some filters (Excel 97, Winword 97/2000, etc.)

%package devel
Group: Development/KDE and QT
Summary: Header files for developing koffice applications
Requires: %name = %version-%release

%description devel
Header files needed for developing koffice applications.

%prep
%setup -q -n %name-%version%beta

%patch1 -p1
#
%patch50 -p1
%patch51 -p1

export AUTOCONF=autoconf_2.5
export AUTOHEADER=autoheader_2.5
export AUTOM4TE=autom4te_2.5
export AUTOMAKE=automake-1.7
export ACLOCAL=aclocal-1.7

[ -f Makefile.cvs ] && make -f Makefile.cvs

%build
export QTDIR=%qtdir KDEDIR=%kdedir PYTHONDIR=/usr/lib/python2.2
%configure \
                    --enable-shared \
%if %unstable
                    --enable-debug=full \
                    --disable-final \
%else
                    --disable-debug \
                    --enable-final \
%endif
                    --disable-static \
	            --disable-embedded \
    		    --disable-palmtop \
                    --with-xinerama \
    		    --with-gnu-ld \
            	    --with-pic \
                    --disable-rpath \
		    --with-xinerama \
		    --program-transform-name="" \
                    --mandir=%_mandir

%if %objprelink
export CXX=g++prelink
%else
export CXX=g++
%endif
%make_build CXX=$CXX

%install
# Dadou - 1.1-0.beta2.4mdk - Don't strip when we are not in final release
%if %unstable
%set_strip_method none
%endif

# Dadou - 1.1-0.beta2.4mdk - Don't use makeinstall macro or nothing will work
%make RUN_KAPPFINDER=no DESTDIR=%buildroot install
find %buildroot -type f -name \*.la -exec perl -pi -e "s|%buildroot||g" {} \;

if ! [ -e %buildroot/%_iconsdir/hicolor/48x48/apps/koshell.png ]; then
	install -c -m 644 %SOURCE1 %buildroot/%_iconsdir/hicolor/48x48/apps/koshell.png
fi

# Dadou - 1.1-0.beta2.1mdk - Create LMDK menu structure
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl koffice Office/Graphs %buildroot/%_datadir/applnk/Office/kchart.desktop %buildroot/%_menudir/koffice-kchart
kdedesktop2mdkmenu.pl koffice Multimedia/Graphics %buildroot/%_datadir/applnk/Office/kontour.desktop %buildroot/%_menudir/koffice-kontour
kdedesktop2mdkmenu.pl koffice Office/Graphs %buildroot/%_datadir/applnk/Office/kivio.desktop %buildroot/%_menudir/koffice-kivio
kdedesktop2mdkmenu.pl koffice Office/Accessories %buildroot/%_datadir/applnk/Office/koshell.desktop %buildroot/%_menudir/koffice-koshell
kdedesktop2mdkmenu.pl koffice Office/Presentations %buildroot/%_datadir/applnk/Office/kpresenter.desktop %buildroot/%_menudir/koffice-kpresenter
kdedesktop2mdkmenu.pl koffice Office/Spreadsheets %buildroot/%_datadir/applnk/Office/kspread.desktop %buildroot/%_menudir/koffice-kspread
kdedesktop2mdkmenu.pl koffice "Applications/Text tools" %buildroot/%_datadir/applnk/Office/kugar.desktop %buildroot/%_menudir/koffice-kugar
kdedesktop2mdkmenu.pl koffice Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kword.desktop %buildroot/%_menudir/koffice-kword
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/kformula.desktop %buildroot/%_menudir/koffice-kformula
kdedesktop2mdkmenu.pl koffice Multimedia/Graphics %buildroot/%_datadir/applnk/Office/karbon.desktop %buildroot/%_menudir/koffice-karbon
kdedesktop2mdkmenu.pl koffice Office/Accessories %buildroot/%_datadir/applnk/Office/KThesaurus.desktop %buildroot/%_menudir/koffice-kthesaurus
kdedesktop2mdkmenu.pl koffice Office/Accessories %buildroot/%_datadir/applnk/Office/kudesigner.desktop %buildroot/%_menudir/koffice-kudesigner


# Add an icon to Koshell
# Think to remove that when Koshell will have its own icon
perl -pi -e "s|koshell.png|kword.png|" %buildroot/%_menudir/koffice-koshell

# delete files same with kdelibs
for n in `rpm -ql kdelibs| grep /usr/share/mimelnk`
do
    [ -f %buildroot/$n ] && rm -f  %buildroot/$n
done

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
#
%doc %_docdir/HTML/en/koffice/
%doc %_docdir/HTML/en/koshell/
%doc %_docdir/HTML/en/kpresenter/
%doc %_docdir/HTML/en/kspread/
%doc %_docdir/HTML/en/thesaurus/
%doc %_docdir/HTML/en/kformula/
%doc %_docdir/HTML/en/kword/
#%doc %_docdir/HTML/en/kontour/
%doc %_docdir/HTML/en/kugar/
%doc %_docdir/HTML/en/kchart/
#
%_bindir/* 
#
%_libdir/libkstore.la
%_libdir/libkwmf.la
%_libdir/libkofficecore.la
%_libdir/libkofficeui.la
%_libdir/libkoscript.la
%_libdir/libkotext.la
%_libdir/libkopainter.la
%_libdir/libkformula.la
%_libdir/libkochart.la
%_libdir/karbon.la
%_libdir/libkdchart.la
%_libdir/kchart.la
%_libdir/kformulamain.la
%_libdir/kivio.la
%_libdir/libkivioconnectortool.la
%_libdir/libkiviotexttool.la
%_libdir/libkiviozoomtool.la
%_libdir/libkivioselecttool.la
%_libdir/kontour.la
%_libdir/koshell.la
%_libdir/kpresenter.la
%_libdir/kspread.la
%_libdir/libkugar.la
%_libdir/libkugarpart.la
%_libdir/kword.la
%_libdir/libkwmailmerge_interface.la
%_libdir/libkwordexportfilters.la
#%_libdir/libkisp_example.la
#
%_libdir/libkofficecore.so*
%_libdir/libkofficeui.so*
%_libdir/libkoscript.so*
%_libdir/libkotext.so*
%_libdir/libkopainter.so*
%_libdir/libkformula.so*
%_libdir/libkochart.so*
%_libdir/karbon.so
%_libdir/libkdchart.so*
%_libdir/kchart.so
%_libdir/kformulamain.so
%_libdir/kivio.so
%_libdir/libkivioconnectortool.so*
%_libdir/libkiviotexttool.so*
%_libdir/libkiviozoomtool.so*
%_libdir/libkivioselecttool.so*
%_libdir/kontour.so
%_libdir/koshell.so
%_libdir/kpresenter.so
%_libdir/kspread.so
%_libdir/libkugar.so*
%_libdir/libkugarpart.so
%_libdir/kword.so
%_libdir/libkwmailmerge_interface.so*
%_libdir/libkwordexportfilters.so*
%_libdir/libkstore.so*
%_libdir/libkwmf.so*
#%_libdir/libkisp_example.so*
#%_libdir/*.ksp

#
#
%_libdir/kde3/kodocinfopropspage.la
%_libdir/kde3/libkchartpart.la
%_libdir/kde3/libkformulapart.la
%_libdir/kde3/libkiviopart.la
%_libdir/kde3/libkontourpart.la
%_libdir/kde3/libkounavailpart.la
%_libdir/kde3/libkpresenterpart.la
%_libdir/kde3/libkspreadpart.la
%_libdir/kde3/libkspreadcalc.la
%_libdir/kde3/libkwordpart.la
%_libdir/kde3/kwmailmerge_classic.la
%_libdir/kde3/kwmailmerge_qtsqldb.la
%_libdir/kde3/kwmailmerge_qtsqldb_power.la
%_libdir/kde3/kofficescan.la
%_libdir/kde3/libkspelltool.la
%_libdir/kde3/clipartthumbnail.la
%_libdir/kde3/kofficethumbnail.la
%_libdir/kde3/libthesaurustool.la
%_libdir/kde3/libapplixspreadimport.la
%_libdir/kde3/libcsvimport.la
%_libdir/kde3/libcsvexport.la
%_libdir/kde3/libdbaseimport.la
%_libdir/kde3/libgnumericexport.la
%_libdir/kde3/libgnumericimport.la
%_libdir/kde3/libkspreadhtmlexport.la
%_libdir/kde3/libqproimport.la
%_libdir/kde3/libabiwordimport.la
%_libdir/kde3/libabiwordexport.la
%_libdir/kde3/libamiproimport.la
%_libdir/kde3/libamiproexport.la
%_libdir/kde3/libapplixwordimport.la
%_libdir/kde3/libasciiimport.la
%_libdir/kde3/libasciiexport.la
%_libdir/kde3/libdocbookexport.la
%_libdir/kde3/libhtmlexport.la
%_libdir/kde3/libhtmlimport.la
%_libdir/kde3/liblatexexport.la
%_libdir/kde3/libmswriteimport.la
%_libdir/kde3/libpalmdocimport.la
%_libdir/kde3/libpalmdocexport.la
%_libdir/kde3/librtfexport.la
%_libdir/kde3/librtfimport.la
%_libdir/kde3/libwmlimport.la
%_libdir/kde3/libwmlexport.la
%_libdir/kde3/libwpimport.la
%_libdir/kde3/libwpexport.la
%_libdir/kde3/libkprkword.la
%_libdir/kde3/libolefilter.la
%_libdir/kde3/libmsodimport.la
%_libdir/kde3/libwmfimport.la
%_libdir/kde3/libapplixgraphicimport.la
%_libdir/kde3/libxsltexport.la
%_libdir/kde3/libxsltimport.la
%_libdir/kde3/libkfopngexport.la
%_libdir/kde3/libkfolatexexport.la
%_libdir/kde3/libkarbonepsexport.la
%_libdir/kde3/libkarbonepsimport.la
%_libdir/kde3/libkarbonaiimport.la
%_libdir/kde3/libkarbonsvgexport.la

%_libdir/kde3/kfile_koffice.la
%_libdir/kde3/libkarbonpngexport.la
%_libdir/kde3/libkontourrtfexport.la
%_libdir/kde3/liblateximport.la
%_libdir/kde3/liblatexparser.la
%_libdir/kde3/libtexgraphexport.la
%_libdir/kde3/libkarbonpart.la
%_libdir/kde3/libkarbonkontourimport.la

#
%_libdir/kde3/libkarbonkontourimport.so*
%_libdir/kde3/kodocinfopropspage.so*
%_libdir/kde3/libkchartpart.so*
%_libdir/kde3/libkformulapart.so*
%_libdir/kde3/libkiviopart.so*
%_libdir/kde3/libkontourpart.so*
%_libdir/kde3/libkounavailpart.so*
%_libdir/kde3/libkpresenterpart.so*
%_libdir/kde3/libkspreadpart.so*
%_libdir/kde3/libkspreadcalc.so*
%_libdir/kde3/libkwordpart.so*
%_libdir/kde3/kwmailmerge_classic.so*
%_libdir/kde3/kwmailmerge_qtsqldb.so*
%_libdir/kde3/kwmailmerge_qtsqldb_power.so*
%_libdir/kde3/kofficescan.so*
%_libdir/kde3/libkspelltool.so*
%_libdir/kde3/clipartthumbnail.so*
%_libdir/kde3/kofficethumbnail.so*
%_libdir/kde3/libthesaurustool.so*
%_libdir/kde3/libapplixspreadimport.so*
%_libdir/kde3/libcsvimport.so*
%_libdir/kde3/libcsvexport.so*
%_libdir/kde3/libdbaseimport.so*
%_libdir/kde3/libgnumericexport.so*
%_libdir/kde3/libgnumericimport.so*
%_libdir/kde3/libkspreadhtmlexport.so*
%_libdir/kde3/libqproimport.so*
%_libdir/kde3/libabiwordimport.so*
%_libdir/kde3/libabiwordexport.so*
%_libdir/kde3/libamiproimport.so*
%_libdir/kde3/libamiproexport.so*
%_libdir/kde3/libapplixwordimport.so*
%_libdir/kde3/libasciiimport.so*
%_libdir/kde3/libasciiexport.so*
%_libdir/kde3/libdocbookexport.so*
%_libdir/kde3/libhtmlexport.so*
%_libdir/kde3/libhtmlimport.so*
%_libdir/kde3/liblatexexport.so*
%_libdir/kde3/libmswriteimport.so*
%_libdir/kde3/libpalmdocimport.so*
%_libdir/kde3/libpalmdocexport.so*
%_libdir/kde3/librtfexport.so*
%_libdir/kde3/librtfimport.so*
%_libdir/kde3/libwmlimport.so*
%_libdir/kde3/libwmlexport.so*
%_libdir/kde3/libwpimport.so*
%_libdir/kde3/libwpexport.so*
%_libdir/kde3/libkprkword.so*
%_libdir/kde3/libolefilter.so*
%_libdir/kde3/libmsodimport.so*
%_libdir/kde3/libwmfimport.so*
%_libdir/kde3/libapplixgraphicimport.so*
%_libdir/kde3/libxsltexport.so*
%_libdir/kde3/libxsltimport.so*
%_libdir/kde3/libkfopngexport.so*
%_libdir/kde3/libkfolatexexport.so*
%_libdir/kde3/libkarbonepsexport.so*
%_libdir/kde3/libkarbonepsimport.so*
%_libdir/kde3/libkarbonaiimport.so*
%_libdir/kde3/libkarbonsvgexport.so*
%_libdir/kde3/kfile_koffice.so*
%_libdir/kde3/libkarbonpngexport.so*
%_libdir/kde3/libkontourrtfexport.so*
%_libdir/kde3/liblateximport.so*
%_libdir/kde3/liblatexparser.so*
%_libdir/kde3/libtexgraphexport.so*
%_libdir/kde3/libkarbonpart.so*
#
%_menudir/*
#
%_datadir/applnk/Office/kchart.desktop
%_datadir/applnk/Office/kformula.desktop
%_datadir/applnk/Office/kontour.desktop
%_datadir/applnk/Office/kivio.desktop
%_datadir/applnk/Office/koshell.desktop
%_datadir/applnk/Office/kpresenter.desktop
%_datadir/applnk/Office/kspread.desktop
%_datadir/applnk/Office/kugar.desktop
%_datadir/applnk/Office/kword.desktop
%_datadir/applnk/Office/KThesaurus.desktop
%_datadir/applnk/Office/karbon.desktop
%_datadir/applnk/Office/kudesigner.desktop
#
%_datadir/apps/karbon
%_datadir/apps/kchart
%_datadir/apps/kformula
%_datadir/apps/kivio
%_datadir/apps/koffice
%_datadir/apps/kontour
%_datadir/apps/kpresenter
%_datadir/apps/kspread
%_datadir/apps/kudesigner
%_datadir/apps/kugar
%_datadir/apps/kword
%_datadir/apps/thesaurus
%_datadir/apps/xsltfilter
#
%_iconsdir/*/*/*/*.png
#

# Laurent 1.1.1-3mdk in kde3.0 this mimelnk was moved to kdelibs
#
#%_datadir/mimelnk/application/*.desktop
%_datadir/mimelnk/application/x-kudesigner.desktop
#%_datadir/mimelnk/image/*.desktop
#%_datadir/mimelnk/text/*.desktop
#
%_datadir/services/*.desktop
%exclude %_datadir/services/otherofficethumbnail.desktop
%_datadir/servicetypes/*.desktop
%_datadir/templates/*.desktop
%_datadir/templates/.source/*


%files devel
#%doc %_docdir/HTML/en/koffice-apidocs/
%_includedir/*


%changelog
* Wed Jan 22 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt3
- exclude %_datadir/services/otherofficethumbnail.desktop

* Mon Jan 13 2003 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt2
- update from cvs

* Mon Dec 16 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2.1-alt1
- new version

* Fri Nov 29 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt5
- update from cvs

* Mon Nov 04 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt4
- update from cvs
- fix requires

* Wed Sep 11 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt3
- final
- build wit gcc3.2 && objprelink

* Tue Aug 20 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt2
- update from cvs

* Fri Aug 09 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.2-alt1.rc1
- new version

* Thu Apr 25 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt5
- rebuild with KDE3

* Mon Mar 18 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt4
- sync with cooker (memleak patches)

* Tue Jan 22 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt3
- rebuild without fam

* Tue Jan 15 2002 Sergey V Turchin <zerg@altlinux.ru> 4:1.1.1-alt2
- sync with coocker (update cvs branch)

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 4:1.1-alt8
- fix buildrequires

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.1-alt7
- rebuilt with libpng.so.3

* Thu Aug 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt6
- release 1.1

* Tue Aug 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1-alt5
- Fixed dependencies

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1-alt4
- Fixed .la files

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1-alt3
- Some spec cleanup
- Fixed filelists

* Fri Aug 23 2001 Rider <rider@altlinux.ru> 1.1-alt2
= koshell open file patch

* Tue Aug 21 2001 Rider <rider@altlinux.ru> 1.1-alt1
- latest CVS (1.1 final)

* Mon Jul 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt0.rc1.2
- build RC1 for ALT

* Sat Jul 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.2mdk
- Fix doc for Mandrake 8.1 (patch0)

* Sat Jul 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.1mdk
- koffice 1.1 RC1

* Thu Jul 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta3.4mdk
- Rebuild with kde2.2beta1

* Wed Jun 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta3.3mdk
- Fix crash in killustrator and kword

* Mon Jun 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta3.2mdk
- Build for Cooker
- Add missing PreReq
- Move koshell in Office/Accessories (Frederic CROZAT)

* Mon Jun 18 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta3.1mdk
- 1.1.beta3
- Begin to add tests to automatically build right package for right distribution
- Fix and adapt LMDK menu structure for each supported LDMK distributions
- Complete BuildRequires for each supported LMDK distributions
- Make Munu structure generation readable (i.e. respect alphabetic order)
- Fix Obsoletes (i.e. learn to a package to don't obsole itself)
- Enable debug and don't strip when we are not in final release
- Enable xinerama for 8.1 distribution (currently Cooker)
- Disable --enable-final at present time (currently broken)
- Disable --enable-debug for LMDK 8.0 (buggy GCC)
- Move static libraries in devel package

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-0.beta2.3mdk
- New Office menu structure

* Thu May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta2.2mdk
- Re-enable debug (low level)
- Fix CFLAGS and CXXFLAGS
- Fix Menu structure

* Thu May 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta2.1mdk
- koffice1.1beta2

* Fri Apr 20 2001 Laurent MONTEL <lmontel@mandrakesoft.cpm> 1.1-0.beta1.1mdk
- koffice1.1beta1
- Increase Epoch because now name of this package is koffice1.1 and no longer
  koffice2.0

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-7mdk
- Update code
- port to new kde menu entry

* Mon Apr 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-6mdk
- Update code

* Tue Mar 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-5mdk
- Add missing files

* Mon Mar 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-4mdk
- Update code + add kugar

* Sat Mar 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-3mdk
- Update code

* Thu Mar 08 2001 laurent MONTEL <lmontel@mandrakesoft.com> 2.1-2mdk
- New kword version

* Thu Mar 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-1mdk
- First package of new Koffice

